package com.example.smartlab

import android.annotation.SuppressLint
import android.content.Intent
import android.os.Bundle
import android.view.GestureDetector
import android.view.MotionEvent
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.smartlab.databinding.WelcomeWindowBinding
import android.content.ContentValues
import android.text.Editable
import android.text.TextWatcher
import android.util.Log
import com.example.smartlab.Api.ApiRequest
import com.google.gson.GsonBuilder
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.awaitResponse
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.converter.scalars.ScalarsConverterFactory

class WeclomeActivity : AppCompatActivity() {
    @SuppressLint("MissingInflatedId")
    lateinit var binding: WelcomeWindowBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        binding = WelcomeWindowBinding.inflate(layoutInflater)
        setContentView(binding.root)
        binding.next.isEnabled = false
        binding.EditText1.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable?) {
            }
            override fun beforeTextChanged(s: CharSequence?, start: Int, count: Int, after: Int) {

            }
            override fun onTextChanged(s: CharSequence?, start: Int, before: Int, count: Int) {
                if(binding.EditText1.text.toString().length > 7){
                    binding.next.isEnabled = true
                }
                else if (binding.EditText1.text.toString().length < 7){
                    binding.next.isEnabled = false
                }
            }
        })
        listener()
    }
    private fun listener() {
        binding.next.setOnClickListener()
        {
            SendEmail()
            val intent = Intent(this, CodeCheckActivity::class.java)
            startActivity(intent)
        }
    }

    fun SendEmail() {
        //interceptor - Перехватчик OkHttp, который регистрирует данные HTTP-запроса и ответа.
        //Создаем объект перехватчика
        val interceptor = HttpLoggingInterceptor()
        interceptor.level = HttpLoggingInterceptor.Level.BODY

        //Добавляем перехватчика в клиента
        val httpClient = OkHttpClient.Builder()
            .addInterceptor(interceptor)
            .build()


        val gsonBuilder = GsonBuilder()
            .setLenient()
            .create()

        val retrofit = Retrofit.Builder()
            .addConverterFactory(ScalarsConverterFactory.create())//Конвертер строк, обоих примитивов и их коробочных типов в text/plain тела.
            .addConverterFactory(GsonConverterFactory.create(gsonBuilder))
            .baseUrl("https://iis.ngknn.ru/NGKNN/МамшеваЮС/MedicMadlab/")
            .client(httpClient) //добавление http клиента в retrofit
            .build()
        val requestApi = retrofit.create(ApiRequest::class.java)
        CoroutineScope(Dispatchers.IO).launch {
            try {
                requestApi.postEmail(binding.EditText1.text.toString())
                    .awaitResponse() //Запуск метода из ApiRequest с переданым параметром в Header (заголовок)
                Log.d("Response", "Success send Email") // Вывод информации на консоль
            } catch (e: Exception) {
                Log.d(ContentValues.TAG, e.toString()) // Вывод информации на консоль
            }
        }
    }
    }